<div id="admin-coupon">
  <div class="d-sm-flex align-center justify-space-between">
    <div>
      <p class="mb-0 h6 colorGreyMain">
        Coupon
      </p>
    </div>
    <div class="d-sm-flex align-center mt-3 mt-sm-0" id="hideBottomInput">
      <div>
        <v-text-field dense outlined v-model="config.search" prepend-inner-icon="mdi-magnify" style="width: 320px"
          background-color="#ffffff" @keyup.enter="onGetListCoupon()" placeholder="Search by name">
        </v-text-field>
      </div>
      <div class="d-sm-flex justify-center ml-sm-3 mt-3 mt-sm-0">
        <v-btn color="#076CE3" outlined="px-4" @click="addCoupon()">
          <div class="d-flex align-center">
            <v-icon color="#076ce3">
              mdi-plus
            </v-icon>
            <span class="lightContentBlue ml-3">
              Add Coupon
            </span>
          </div>
        </v-btn>
      </div>
    </div>
  </div>
  <div class="ui-card mt-4">
    <v-card class="ui-card mt-4">
      <v-skeleton-loader class="mx-auto mt-10" width="100%" type="card" v-if="loadingTable">
      </v-skeleton-loader>
      <div v-else>
        <div>
          <v-simple-table class="scrollTable c-pointer" fixed-header
            style="border: 1px solid #EDEEEF; border-radius: 8px 8px 8px 8px;">
            <template v-slot:default>
              <thead>
                <tr>
                  <th class="px-0">
                    <div class="d-flex align-center" style="width: 400px">
                      <v-checkbox v-model="selectedAll" class="pl-3"></v-checkbox>
                      <p class="mb-0 fsize-13 text-uppercase colorGreyHeaderTable ml-2"
                        v-if="!selectedAll && !listIds.length">
                        Coupon name
                      </p>
                      <div v-else class="d-flex align-center">
                        <p class="mb-0 fsize-14 font-weight-bold" style="width: 140px">
                          Action <span class="fsize-12 colorGreyHeaderItem">
                            (Choose <span class="black--text">{{listIds.length}}</span> items)
                          </span>
                        </p>
                        <v-btn text class="ml-7" @click="openDialogDeleteListCoupon()">
                          <div class="d-flex align-center">
                            <v-icon color="#FF5252" size="18">
                              mdi-delete
                            </v-icon>
                            <p class="mb-0 ml-3 fsize-14 font-weight-bold text-capitalize">
                              Delete coupon
                            </p>
                          </div>
                        </v-btn>
                      </div>
                    </div>
                  </th>
                  <th class="text-left px-0">
                    <div v-if="!selectedAll && !listIds.length" style="width: 300px">
                      <p class="mb-0 fsize-13 text-uppercase colorGreyHeaderTable">
                        Type
                      </p>
                    </div>
                  </th>
                  <th class="text-left px-0">
                    <div v-if="!selectedAll && !listIds.length" style="width: 300px">
                      <p class="mb-0 fsize-13 text-uppercase colorGreyHeaderTable">
                        Value
                      </p>
                    </div>
                  </th>
                  <th class="text-left px-0">
                    <div v-if="!selectedAll && !listIds.length" style="width: 180px">
                      <p class="mb-0 fsize-13 text-uppercase colorGreyHeaderTable">
                        Code
                      </p>
                    </div>
                  </th>
                  <th class="text-left px-0">
                    <div v-if="!selectedAll && !listIds.length" style="width: 180px">
                      <p class="mb-0 fsize-13 text-uppercase colorGreyHeaderTable">
                        Status
                      </p>
                    </div>
                  </th>
                  <th class="text-left px-0">
                    <div style="width: 180px">

                    </div>
                  </th>
                </tr>
              </thead>
              <tbody>
                <tr v-for="(coupon,i) in listCoupon" :key="i">
                  <td class="px-0 py-2">
                    <div class="d-flex align-center">
                      <div class="d-flex align-center" id="hideBottomInput">
                        <v-checkbox v-model="listIds" :value="coupon._id" class="pl-3 mt-0"></v-checkbox>
                        <v-text-field dense outlined v-model.number="coupon.name" placeholder="Enter name coupon"
                          style="width: 240px"></v-text-field>
                      </div>
                    </div>
                  </td>
                  <td class="px-0 py-2">
                    <div class="d-flex align-center">
                      <div class="d-flex align-center" id="hideBottomInput">
                        <v-autocomplete dense outlined v-model="coupon.type" :items="listTypeCoupon" item-text="name"
                          item-value="value" placeholder="Choose type coupon" style="width: 240px">
                        </v-autocomplete>
                      </div>
                    </div>
                  </td>
                  <td class="px-0 py-2">
                    <div class="d-flex align-center">
                      <div class="d-flex align-center" id="hideBottomInput">
                        <v-text-field dense outlined v-model.number="coupon.value" placeholder="Enter value coupon"
                          style="width: 240px"></v-text-field>
                      </div>
                    </div>
                  </td>
                  <td class="px-0 py-2">
                    <div class="d-flex align-center">
                      <div class="d-flex align-center" id="hideBottomInput">
                        <v-text-field dense outlined v-model="coupon.code" placeholder="Enter value coupon"
                          v-if="coupon.code" style="width: 240px" readonly></v-text-field>
                      </div>
                    </div>
                  </td>
                  <td class="px-0 py-2">
                    <div class="d-flex align-center" id="hideBottomInput" v-if="coupon._id">
                      <p class="mb-0 mt-1 fsize-13 rounded-lg py-1 px-2 contentBrand" v-if="coupon.isUsing"
                        style="background-color: #E1EFFE">
                        Open
                      </p>
                      <p class="mb-0 mt-1 fsize-13 rounded-lg py-1 px-2" v-if="!coupon.isUsing"
                        style="background: rgba(255, 193, 48, 0.08); color: #FB8C00">
                        Closed
                      </p>
                      <v-switch class="ml-2 mt-0" inset v-model="coupon.isUsing" @change="onChangeStatus(coupon)">
                      </v-switch>
                    </div>
                    <div class="d-flex align-center" id="hideBottomInput" v-else>
                      <p class="mb-0 mt-1 fsize-13 rounded-lg py-1 px-2 contentBrand" v-if="coupon.isUsing"
                        style="background-color: #E1EFFE">
                        Open
                      </p>
                      <p class="mb-0 mt-1 fsize-13 rounded-lg py-1 px-2" v-if="!coupon.isUsing"
                        style="background: rgba(255, 193, 48, 0.08); color: #FB8C00">
                        Closed
                      </p>
                      <v-switch class="ml-2 mt-0" inset v-model="coupon.isUsing">
                      </v-switch>
                    </div>
                  </td>
                  <td class="px-0 py-2">
                    <div v-if="editId === coupon._id || !coupon._id" class="d-flex align-center">
                      <v-btn color="#076CE3" outlined style="min-width: 36px" class="elevation-0 px-2" small
                        @click="openDialogDelete(coupon._id || i)">
                        <v-icon color="#076CE3" size="18">
                          mdi-close
                        </v-icon>
                      </v-btn>
                      <v-btn color="#076CE3" style="min-width: 36px" class="elevation-0 px-2 ml-2" small
                        @click="onHandlerCoupon(coupon._id || i)">
                        <v-progress-circular v-if="loadingId === coupon._id || loadingId === i" size="18" indeterminate
                          color="#3398dc">
                        </v-progress-circular>
                        <v-icon color="#ffffff" size="18" v-else>
                          mdi-check
                        </v-icon>
                      </v-btn>
                    </div>
                    <div class="d-flex align-center" v-else>
                      <v-btn color="#076CE3" @click="editId = coupon._id" style="min-width: 36px"
                        class="elevation-0 px-2" small>
                        <p class=" mb-0 white--text">
                          Edit
                        </p>
                      </v-btn>
                      <v-btn color="#FF5252" icon style="min-width: 36px" class="px-0 ml-3"
                        @click="openDialogDelete(coupon._id)">
                        <div class="d-flex align-center">
                          <v-icon color="#FF5252">
                            mdi-delete
                          </v-icon>
                        </div>
                      </v-btn>
                    </div>
                  </td>
                </tr>
              </tbody>
            </template>
          </v-simple-table>
          <div class="d-flex justify-center my-2" v-if="listCoupon.length == 0 && !loadingTable">
            <span>No coupon list yet</span>
          </div>
          <div class="text-center mt-4 pb-2 d-sm-flex align-center justify-center">
            <v-pagination v-model="config.page" :length="totalPage" :total-visible="5" class="pagination">
            </v-pagination>
            <div id="hideBottomInput" class="input-gotopage pos-relative mx-3 mx-sm-0 mt-3 mt-sm-0">
              <v-text-field dense outlined v-model.number="page" placeholder="Go to page">
              </v-text-field>
              <div class="button-inside-input">
                <v-btn height="36px" color="#076CE3" class="px-0 button-inside-input__button elevation-0"
                  @click="onRedirectPage()">
                  <v-icon color="#ffffff">
                    mdi-chevron-right
                  </v-icon>
                </v-btn>
              </div>
            </div>
          </div>
        </div>
      </div>
    </v-card>
  </div>

  <v-row justify="center">
    <v-dialog v-model="dialogDelete" max-width="383">
      <v-card class="pa-0">
        <div class="py-5 px-6">
          <div class="d-flex align-center justify-center">
            <v-icon color="#EB5757" size="56">
              mdi-delete-forever
            </v-icon>
          </div>
          <p class="mb-0 mt-4 h6 text-center contentSemanticRed">
            Delete coupon?
          </p>
          <p class="mt-6 fsize-16 contentMain">
            Do you want to delete coupon?
          </p>
        </div>
        <div class="pb-8 px-4 d-flex align-center justify-space-between">
          <v-btn text width="49%" @click="dialogDelete = false">
            <p class="mb-0 fsize-16 font-weight-bold lightContentPrimary">
              Cancel
            </p>
          </v-btn>
          <v-btn color="#FF5252" class="elevation-0" width="49%" @click="onDeleteCoupon()">
            <p class="mb-0 fsize-16 font-weight-bold white--text">
              Delete
            </p>
          </v-btn>
        </div>
      </v-card>
    </v-dialog>
  </v-row>

  <v-row justify="center">
    <v-dialog v-model="dialogDeleteList" max-width="383">
      <v-card class="pa-0">
        <div class="py-5 px-6">
          <div class="d-flex align-center justify-center">
            <v-icon color="#EB5757" size="56">
              mdi-delete-forever
            </v-icon>
          </div>
          <p class="mb-0 mt-4 h6 text-center contentSemanticRed">
            Delete list coupon?
          </p>
          <p class="mt-6 fsize-16 contentMain">
            Do you want to delete list coupon this?
          </p>
        </div>
        <div class="pb-8 px-4 d-flex align-center justify-space-between">
          <v-btn text width="49%" @click="dialogDeleteList = false">
            <p class="mb-0 fsize-16 font-weight-bold lightContentPrimary">
              Cancel
            </p>
          </v-btn>
          <v-btn color="#FF5252" class="elevation-0" width="49%" @click="onDeleteListCoupon()">
            <p class="mb-0 fsize-16 font-weight-bold white--text">
              Delete
            </p>
          </v-btn>
        </div>
      </v-card>
    </v-dialog>
  </v-row>
</div>